<?php

class ScenariosWizard
{
	var $gateway 	= 'Gateway'	;
	var $pbx 	= 'Pbx'		;
/*	var $provider	= 'Provider'	;
	var $manual	= 'Manual'	; */

	var $array_scenarios = array( 	'Gateway'  => array( 'id' => 'gateway'	, 'img' => 'gateway.png'	    , 'title' => WIZARD_GATEWAY_DIS	 , 'small' => 'gtw'), 
					'Pbx'  	   => array( 'id' => 'pbx'	, 'img' => 'bild-voippbx-wizard.png', 'title' => WIZARD_VOIP_PBX_DIS	 , 'small' => 'pbx')/*, 
					'Provider' => array( 'id' => 'provider'	, 'img' => 'voip-provider.png'	    , 'title' => WIZARD_VOIP_PROVIDER_DIS, 'small' => 'prd'),
					'Manual'   => array( 'id' => 'manual'	, 'img' => ''			    , 'title' => WIZARD_VOIP_MANUAL	 , 'small' => 'man')*/);

	function __construct ()
	{
	}

	// Private 
	function _display_image_scenario ($id_div, $for_label, $title, $img = '', $id_input = '', $value_input = '', $checked = '')
	{
		$input = '';
		if (strlen($id_input) > 0)
		{
			$input = "<input type='radio' name='scenario' value='$value_input' id='$id_input' $checked/>\n";
		}

		if (strlen($img) > 0)
		{
			$img = "\t\t\t\t\t<img src=\"./includes/images/$img\"/>\n";
		}
		ob_start();
?>
			<div class='form-group' id='<?php echo  $id_div; ?>'>
				<label for='<?php echo $for_label; ?>' class='col-sm-5 control-label'><?php echo $title; ?></label>
				<div class='col-sm-4'>
					<?php	echo 	  $input
							. $img;    ?>
				</div>
			</div>
<?php
		return ob_get_clean();
	}

	function get_content_modal ($scenario_cfg)
	{
		$html_str = '';
		foreach ($this -> array_scenarios as $scenario => $parameter_scenario)
		{
			$id 	= $parameter_scenario['id'];
			$img 	= $parameter_scenario['img'];
			$value	= $parameter_scenario['small'];
			$title 	= $parameter_scenario['title'];

			$checked = '';
			if (isset($scenario_cfg['scenario']))
			{
				if(strcmp($scenario_cfg['scenario'], $value) == 0)
				{
					$checked = ' checked';
				}
			}
			else
			{
				if (strcmp($this -> array_scenarios['Gateway']['small'], $value) == 0)
				{
					$checked = ' checked';
				}
			}

			$html_str .= $this -> _display_image_scenario("form_$id", "for_$id", $title, $img, "id_$id", $value, $checked);
		}

		return $html_str;
	}

	function get_summary_settings ($scenario)
	{
		$title 	 = "\t\t\t<p class='text-center h5'>". WIZARD_SCENARIO_SETTING_DIS ."</p>\n";
	
		// gateway scenario
		$settings = $this -> array_scenarios[$this -> gateway];

		// pbx scenarion
		if (strcmp($scenario, $this -> pbx) == 0)
		{	
			$settings = $this -> array_scenarios[$this -> pbx];
		}
/*	
		if (strcmp($scenario[0], $this -> provider) == 0)
		{
			$settings = $this -> array_scenarios[$this -> provider];
		}

		if (strcmp($scenario[0], $this -> manual) == 0)
		{
			return 'toto';
		}
*/
		$img = $this -> _display_image_scenario("form_{$settings['id']}" , $settings['id'], $settings['title'], $settings['img']);

		return $title . $img;
	}
}

?>
